<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.formatter.WellCoordinateFormatter"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="m" uri="/WEB-INF/menu.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%@ taglib prefix="tbl" uri="/WEB-INF/table.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.meludi");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default">
<base:head 
	scripts="~../meludi-2.js,~create_start_list_from_start_plate.js,~plate.js,js-draw.js" 
	styles="path.css,toolbar.css,~../css/meludi-2.css"
	>

</base:head>
<base:body>
	<p:path><p:pathelement 
		title="MeLuDI" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Create start lists from start DNA plates"
		/></p:path>
	
	<div class="content">
	
	<form name="meludi" id="wizard" class="wizard">
	
	<div class="step auto-hide" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select start DNA plate[s] to create start list[s] from</div>
		<div class="step-content">
	
			<div class="bg-filled-50" style="padding: 2px;">
				This wizard is intended for converting start lists used in MeLuDI v1.2.* to<br>
				start item lists used in v1.3. The following assumptions must be met for success:<br>
				<br>
				1. The start plate contains a list of all related MeLuDI item names as annotation.<br>
				2. The start plate contains a list of all related extra material names as annotation.<br>
				3. All related specimens and extracts have already been created with the specified names.<br>
				<br>
				For each start plate, a start item list will be created, with the following properties:<br>
				<br>
				a. The start list name is that of the start plate with prefix "LP" exchanged for "SL".<br>
				b. All relevant start plate annotations are copied to corresponding start list annotations.<br>
				c. Items named in start plate annotations are added as start list members (DNA child extracts represent specimens).<br>
				d. An optional start plate creation date is stored in start list "ListExtractionDate" annotation.<br>
				<br>
				After controlling the created start lists, the start plates may be deleted.<br>
				The latter will reappear in the library preparation wizards, when they are to be filled with samples.<br>
				<br>
			</div>

			<table class="step-form">
			<tr class="align-top">
				<td class="prompt">Start DNA plates</td>
				<td class="input">
					<select name="startPlate" id="startPlate" multiple size="30"></select>
				</td>
				<td class="status" id="startPlate.status"></td>
				<td class="help">
					<span id="startPlate.message" class="message" ></span>
					Select start DNA plate[s] to create start list[s] from.
				</td>
			</tr>
			</table>
			<select name="extractSourceItems" id="extractSourceItems" multiple size="30"></select>
		</div>
	</div>

	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>

	</form>
	</div>
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>