<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="t" uri="/WEB-INF/tab.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.meludi");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	final String kitName = request.getParameter("kitname");
	final int index = Values.getInt(request.getParameter("index"));
	final String mode = request.getParameter("mode");
	final String title = "Edit library preparation kit details for " + kitName;
%>
<base:page type="popup" title="<%=title %>">
<base:head 
	scripts="tabcontrol-2.js,~edit_libprep_kit_details.js,~../meludi-2.js,~extraction_utils.js"
	styles="tabcontrol.css"
/>
<base:body>
	<h1><%=title %></h1>

	<div id="page-data"
		data-index="<%=index%>"
		data-mode="<%=mode%>"
	></div>

	<form name="details">

	<t:tabcontrol id="settings"
		subclass="content dialogtabcontrol" 
		position="bottom" remember="true" 
		>
		<t:tab id="details" title="Details">
			<table class="fullform input100">
			<tr>
				<th>Expiration date</th>
				<td>
					<input type="text" name="expirationDate" id="expirationDate"
						style="width: 10em;" maxlength="8"> Expiration date (YYYYMMDD)
				</td>
			</tr>
			<tr>
				<th>Active</th>
<!--
				<td>
					<input type="text" name="active" id="active"
						style="width: 10em;" maxlength="8"> Active flag
				</td>
-->
				<td class="input">
					<select name="active" id="active"
						style="width: 10em;"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="">
						<option selected value="yes" >Yes
						<option value="no">No
					</select> Active flag
				</td>
			</tr>
			<tr>
				<th>#Times used</th>
				<td>
					<input type="text" name="numTimesUsed" id="numTimesUsed"
						style="width: 10em;" maxlength="8"> Number of times the kit has been thawed (max 6 allowed)
				</td>
			</tr>
			<tr>
				<th>Unused FPA plate locations</th>
				<td>
					<input type="text" name="unusedFpaLocs" id="unusedFpaLocs"
						style="width: 10em;" maxlength="255"> Comma-separated list (A1-H1, ..., A6-H6)
				</td>
			</tr>
			<tr>
				<th>Comment</th>
				<td>
					<input type="text" name="kitComment" id="kitComment" maxlength="255">
				</td>
			</tr>
			<tr class="dynamic">
				<th></th>
				<td></td>
			</tr>
			</table>
		</t:tab>
		
		<t:tab id="reagents" title="Reagents">
			<table class="fullform input100 larger">
			<tr>
				<th>General reagents</th>
				<td></td>
				<td><b>Default</b></td>
			</tr>
			<tr>
<!--
				<th class="subprompt">TruSight Tumor Library Prep Box 1</th>
-->
				<th class="subprompt">Library Prep Box 1</th>
				<td>
					<input type="text" name="libraryPrepBox1" id="libraryPrepBox1" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="indexKit"
					>
				</td>
				<td id="libraryPrepBox1.default"></td>
			</tr>
			<tr>
<!--
				<th class="subprompt">TruSight Tumor Index Kit</th>
-->
				<th class="subprompt">Index Kit</th>
				<td>
					<input type="text" name="indexKit" id="indexKit" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="contentSetBox3"
					>
				</td>
				<td id="indexKit.default"></td>
			</tr>
			<tr>
<!--
				<th class="subprompt">TruSight Tumor Content Set Box 3</th>
-->
				<th class="subprompt">Content Set Box 3</th>
				<td>
					<input type="text" name="contentSetBox3" id="contentSetBox3" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="oligoPoolA_FPA"
					>
				</td>
				<td id="contentSetBox3.default"></td>
			</tr>
			<tr>
<!--
				<th class="subprompt">TruSight Tumor Oligo Pool A (FPA)</th>
-->
				<th class="subprompt">Oligo Pool A (FPA)</th>
				<td>
					<input type="text" name="oligoPoolA_FPA" id="oligoPoolA_FPA" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="oligoPoolB_FPB"
					>
				</td>
				<td id="oligoPoolA_FPA.default"></td>
			</tr>
			<tr>
<!--
				<th class="subprompt">TruSight Tumor Oligo Pool B (FPB)</th>
-->
				<th class="subprompt">Oligo Pool B (FPB)</th>
				<td>
					<input type="text" name="oligoPoolB_FPB" id="oligoPoolB_FPB" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="oligoHybridizationSequencingReagent3"
					>
				</td>
				<td id="oligoPoolB_FPB.default"></td>
			</tr>
			<tr>
<!--
				<th class="subprompt">Oligo Hybridization for Sequencing Reagent 3 (OHS3)</th>
-->
				<th class="subprompt">O. Hybr Seq Rea 3 (OHS3)</th>
				<td>
					<input type="text" name="oligoHybridizationSequencingReagent3" id="stringentWash1_SW1" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="stringentWash1_SW1"
					>
				</td>
				<td id="oligoHybridizationSequencingReagent3.default"></td>
			</tr>
			<tr>
				<th class="subprompt">Stringent Wash 1 (SW1)</th>
				<td>
					<input type="text" name="stringentWash1_SW1" id="stringentWash1_SW1" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="extensionLigationMix3"
					>
				</td>
				<td id="stringentWash1_SW1.default"></td>
			</tr>
			<tr>
<!--
				<th class="subprompt">Extension Ligation Mix 3 (ELM3)</th>
-->
				<th class="subprompt">Exten. Lig. Mix 3 (ELM3)</th>
				<td>
					<input type="text" name="extensionLigationMix3" id="extensionLigationMix3" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="pcrMasterMix2_PMM2"
					>
				</td>
				<td id="extensionLigationMix3.default"></td>
			</tr>
			<tr>
				<th class="subprompt">PCR Master Mix 2 (PMM2)</th>
				<td>
					<input type="text" name="pcrMasterMix2_PMM2" id="pcrMasterMix2_PMM2" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="ub1"
					>
				</td>
				<td id="pcrMasterMix2_PMM2.default"></td>
			</tr>
			<tr>
				<th class="subprompt">UB1</th>
				<td>
					<input type="text" name="ub1" id="ub1" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="tdp"
					>
				</td>
				<td id="ub1.default"></td>
			</tr>
			<tr>
				<th class="subprompt">TDP</th>
				<td>
					<input type="text" name="tdp" id="tdp" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="filterplate"
					>
				</td>
				<td id="tdp.default"></td>
			</tr>
			<tr>
				<th class="subprompt">Filterplate</th>
				<td>
					<input type="text" name="filterplate" id="filterplate" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="indexPrimerA701"
					>
				</td>
				<td id="filterplate.default"></td>
			</tr>
			<tr>
<!--
				<th>Index 1 Primers Lot Number reagents</th>
-->
				<th>Index 1 Primers Lot No reagents</th>
				<td></td>
				<td></td>
			</tr>
			<tr>
				<th class="subprompt">ATCACGAC A701</th>
				<td>
					<input type="text" name="indexPrimerA701" id="indexPrimerA701" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="indexPrimerA702"
					>
				</td>
				<td id="indexPrimerA701.default"></td>
			</tr>
			<tr>
				<th class="subprompt">ACAGTGGT A702</th>
				<td>
					<input type="text" name="indexPrimerA702" id="indexPrimerA702" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="indexPrimerA703"
					>
				</td>
				<td id="indexPrimerA702.default"></td>
			</tr>
			<tr>
				<th class="subprompt">CAGATCCA A703</th>
				<td>
					<input type="text" name="indexPrimerA703" id="indexPrimerA703" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="indexPrimerA704"
					>
				</td>
				<td id="indexPrimerA703.default"></td>
			</tr>
			<tr>
				<th class="subprompt">ACAAACGG A704</th>
				<td>
					<input type="text" name="indexPrimerA704" id="indexPrimerA704" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="indexPrimerA705"
					>
				</td>
				<td id="indexPrimerA704.default"></td>
			</tr>
			<tr>
				<th class="subprompt">ACCCAGCA A705</th>
				<td>
					<input type="text" name="indexPrimerA705" id="indexPrimerA705" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="indexPrimerA706"
					>
				</td>
				<td id="indexPrimerA705.default"></td>
			</tr>
			<tr>
				<th class="subprompt">AACCCCTC A706</th>
				<td>
					<input type="text" name="indexPrimerA706" id="indexPrimerA706" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="indexPrimerA707"
					>
				</td>
				<td id="indexPrimerA706.default"></td>
			</tr>
			<tr>
				<th class="subprompt">CCCAACCT A707</th>
				<td>
					<input type="text" name="indexPrimerA707" id="indexPrimerA707" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="indexPrimerA708"
					>
				</td>
				<td id="indexPrimerA707.default"></td>
			</tr>
			<tr>
				<th class="subprompt">CACCACAC A708</th>
				<td>
					<input type="text" name="indexPrimerA708" id="indexPrimerA708" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="indexPrimerA709"
					>
				</td>
				<td id="indexPrimerA708.default"></td>
			</tr>
			<tr>
				<th class="subprompt">GAAACCCA A709</th>
				<td>
					<input type="text" name="indexPrimerA709" id="indexPrimerA709" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="indexPrimerA710"
					>
				</td>
				<td id="indexPrimerA709.default"></td>
			</tr>
			<tr>
				<th class="subprompt">TGTGACCA A710</th>
				<td>
					<input type="text" name="indexPrimerA710" id="indexPrimerA710" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="indexPrimerA711"
					>
				</td>
				<td id="indexPrimerA710.default"></td>
			</tr>
			<tr>
				<th class="subprompt">AGGGTCAA A711</th>
				<td>
					<input type="text" name="indexPrimerA711" id="indexPrimerA711" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="indexPrimerA712"
					>
				</td>
				<td id="indexPrimerA711.default"></td>
			</tr>
			<tr>
				<th class="subprompt">AGGAGTGG A712</th>
				<td>
					<input type="text" name="indexPrimerA712" id="indexPrimerA712" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="indexPrimerA501"
					>
				</td>
				<td id="indexPrimerA712.default"></td>
			</tr>
			<tr>
<!--
				<th>Index 2 Primers Lot Number reagents</th>
-->
				<th>Index 2 Primers Lot No reagents</th>
				<td></td>
				<td></td>
			</tr>
			<tr>
				<th class="subprompt">TGAACCTT A501</th>
				<td>
					<input type="text" name="indexPrimerA501" id="indexPrimerA501" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="indexPrimerA502"
					>
				</td>
				<td id="indexPrimerA501.default"></td>
			</tr>
			<tr>
				<th class="subprompt">TGCTAAGT A502</th>
				<td>
					<input type="text" name="indexPrimerA502" id="indexPrimerA502" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="indexPrimerA503"
					>
				</td>
				<td id="indexPrimerA502.default"></td>
			</tr>
			<tr>
				<th class="subprompt">TGTTCTCT A503</th>
				<td>
					<input type="text" name="indexPrimerA503" id="indexPrimerA503" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="indexPrimerA504"
					>
				</td>
				<td id="indexPrimerA503.default"></td>
			</tr>
			<tr>
				<th class="subprompt">TAAGACAC A504</th>
				<td>
					<input type="text" name="indexPrimerA504" id="indexPrimerA504" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="indexPrimerA505"
					>
				</td>
				<td id="indexPrimerA504.default"></td>
			</tr>
			<tr>
				<th class="subprompt">CTAATCGA A505</th>
				<td>
					<input type="text" name="indexPrimerA505" id="indexPrimerA505" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="indexPrimerA506"
					>
				</td>
				<td id="indexPrimerA505.default"></td>
			</tr>
			<tr>
				<th class="subprompt">CTAGAACA A506</th>
				<td>
					<input type="text" name="indexPrimerA506" id="indexPrimerA506" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="indexPrimerA507"
					>
				</td>
				<td id="indexPrimerA506.default"></td>
			</tr>
			<tr>
				<th class="subprompt">TAAGTTCC A507</th>
				<td>
					<input type="text" name="indexPrimerA507" id="indexPrimerA507" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="indexPrimerA508"
					>
				</td>
				<td id="indexPrimerA507.default"></td>
			</tr>
			<tr>
				<th class="subprompt">TAGACCTA A508</th>
				<td>
					<input type="text" name="indexPrimerA508" id="indexPrimerA508" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus=""
					>
				</td>
				<td id="indexPrimerA508.default"></td>
			</tr>
			<tr class="dynamic">
				<th></th>
				<td><div class="messagecontainer note">Leave above fields empty to use the default lot numbers.</div></td>
				<td></td>
			</tr>
			</table>
		</t:tab>
	</t:tabcontrol>	
	</form>
	
	<base:buttongroup subclass="dialogbuttons" id="dialogbuttons">
		<base:button id="btnSave" title="Ok" />
		<base:button id="close" title="Cancel" />
	</base:buttongroup>
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>