var SelectDna = function()
{
	var selectdna = {};
	var dnaItems = [];
	
	var debug = 0;

	// Page initialization
	selectdna.initPage = function()
	{
		// Step 1
		Events.addEventHandler('step-1', 'wizard-validate', selectdna.validateStep1);

		// Step 2
		Events.addEventHandler('step-2', 'wizard-initialize', selectdna.initializeStep2);
		Events.addEventHandler('max_delta_ct', 'change', selectdna.maxDeltaCtOnChange);
		Events.addEventHandler('max_delta_ct', 'keypress', Events.numberOnly);

		// Navigation
		Buttons.addClickHandler('gocancel', Wizard.cancelWizard);
		Buttons.addClickHandler('gorestart', Wizard.restartWizard);
		Buttons.addClickHandler('gonext', Wizard.goNextOnClick);
		Buttons.addClickHandler('goregister', Wizard.goRegister);
		
		// Final registration
		Events.addEventHandler('wizard', 'wizard-submit', selectdna.submit);

		var url = '../Extraction.servlet?ID='+App.getSessionId();
		url += '&cmd=GetProcessedStartItemLists';
		url += '&orderDesc=true';
		url += '&anItemNotOnLibPlate=true';
		url += '&ignoreQpcrBranch=false';
		Wizard.showLoadingAnimation('Loading processed items...');
		Wizard.asyncJsonRequest(url, selectdna.initializeStep1);
	}

	selectdna.initializeStep1 = function(response)
	{
		var frm = document.forms['meludi'];
		var itemLists = response.itemLists;
		dnaItems = [];

		var startList = frm.startList;
		if (itemLists.length > 0)
		{
			for (var i=0; i < itemLists.length; i++)
			{
				var itemList = itemLists[i];
				var name = (i+1) + ': ' + Strings.encodeTags(itemList.name);
				if (itemList.sourceItemNames)
				{
					name += ' -- (';
					name += itemList.numMeludiItems;
					name += ' + ' + itemList.numExtraItems;
					name += ')';
				}
				if (itemList.extractionDate)
				{
					name += ' -- [' + selectdna.asDate(itemList.extractionDate) + ']';
				}
				var selected = (i == 0);
				var option = new Option(name, itemList.id, selected, selected);
				option.itemList = itemList;
				startList.options[startList.length] = option;
			}
			startList.options[0].selected = true;
		}
		else
		{
			Wizard.setFatalError('No start lists available.');
			return;
		}
		Doc.show('step-1');
		Doc.hide('gocancel');
		Doc.show('gonext');
		Doc.hide('goregister');
		Doc.hide('extractSourceItems');
	}

	selectdna.validateStep1 = function(event)
	{
		var frm = document.forms['meludi'];
		var startList = null;
		for (var i = 0; i < frm.startList.length; i++)
		{
			if (frm.startList[i].selected)
			{
				startList = frm.startList[i];
			}
		}
		if (startList == null)
		{
			event.preventDefault();
		}
	}
	
	selectdna.initializeStep2 = function(event)
	{
		var frm = document.forms['meludi'];
		var startItemList = null;
		var jsonStartItemListIds = [];
		var numSelected = 0;
		for (var i = 0; i < frm.startList.length; i++)
		{
			if (frm.startList[i].selected)
			{
				var jsonStartList = {};
				jsonStartList.id = frm.startList[i].value;
				jsonStartList.name = frm.startList[i].itemList.name;
				jsonStartItemListIds[numSelected] = jsonStartList;
				numSelected++;
			}
		}
		if (numSelected == 0)
		{
			event.preventDefault();
		}

		frm.startList.disabled = true;
		var startListName = jsonStartItemListIds[0].name;
		Doc.element('detailsStartListName').innerHTML = '<b>Start list: ' + startListName + '</b>';

		Wizard.setCurrentStep(2);
		Doc.show('step-2');
		Doc.show('gocancel');
		Doc.hide('gonext');
		Doc.show('goregister');
		Doc.addClass('goregister', 'disabled');
		
		var url = '../Extraction.servlet?ID='+App.getSessionId();
		url += '&cmd=GetListOfItemsFromStartItemLists';
		url += '&startListIds='+JSON.stringify(jsonStartItemListIds);
		url += '&itemType=DNA';
		url += '&itemNotOnLibPlate=true';
		url += '&ignoreQpcrBranch=false';
		Wizard.asyncJsonRequest(url, selectdna.dnaItemListLoaded);
	}

	selectdna.dnaItemListLoaded = function(response)
	{
		var frm = document.forms['meludi'];

		var maxDeltaCt = frm.max_delta_ct.value;
		var items = response.items;
		dnaItems = items;

		// Create table with DNA item data
		//
		var html = '<table id="dna-details" class="step-form">';
		// First header row
		html += '<thead>';
		html += '<tr>';
		html += '<th style="width: 18em;">Item name</th>';
		html += '<th style="width: 5em;" align="right">ΔCt</th>';
		html += '<th colspan="2" style="width: 12em;">qPCR branch</th>';
/*
		html += '<th style="width: 300px;">Operator delivery comment</th>';
		html += '<th></th>';
		html += '<th>Input message</th>';
*/
		html += '</tr>';
		// Second header row
		html += '<tr>';
		html += '<th class="dottedleft"></th>';
		html += '<th style="width: 5em;"></th>';
		html += '<td style="width: 6em;" align="center">Current</td>';
		html += '<td style="width: 6em;" align="center">New</td>';
/*
		html += '<td style="width: 300px;"></td>';
		html += '<td class="dottedleft"></td>';
		html += '<td class="dottedleft"></td>';
*/
		html += '</tr>';
		html += '</thead>';
		html += '<tbody>';

		var numItems = items.length;
		for (var i=0; i < numItems; i++)
		{
			var item = items[i];
			html += '<tr>';
			// Item name
			html += '<td id="itemname.'+i+'" style="width: 18em;">' + item.name + '</td>';
			// ΔCt
			var deltaCtDisplayed = '-';
			if (item.deltaCt != null)
			{
				deltaCtDisplayed = Numbers.formatNumber(item.deltaCt, 2);
			}
			html += '<td id="itemdeltact.'+i+'" style="width: 5em;" align="right">' + deltaCtDisplayed + '</td>';
			// Current qPCR branch check box
			var qPcrCurValue = item.qpcrBranch;
			if (qPcrCurValue == null)
			{
				qPcrCurValue = false;
			}
			var qPcrCurDefault = '';
			if (qPcrCurValue)
			{
				qPcrCurDefault = ' checked';
			}
			html += '<td style="width: 6em;" align="center"><input type="checkbox" name="qPcrCur.'+i+'" id="qPcrCur.'+i+'"'+qPcrCurDefault+'></td>';
			// New qPCR branch check box
			var qPcrNewDefault = '';
			if (item.deltaCt != null)
			{
				if (item.deltaCt > maxDeltaCt)
				{
					qPcrNewDefault = ' checked';
				}
			}
			html += '<td style="width: 6em;" align="center"><input type="checkbox" name="qPcrNew.'+i+'" id="qPcrNew.'+i+'"'+qPcrNewDefault+'></td>';
/*
			// Operator delivery comment
			html += '<td class="input"  style="width: 300px;"><textarea rows="1" name="comment.'+i+'" id="comment.'+i+'" style="width: 300px; height: 20px;" data-next-focus="'+commentNextId+'"></textarea></td>';
			// Status and message columns
			html += '<td class="status" id="extramaterial.'+i+'.status"></td>';
			html += '<td class="help"><span id="extramaterial.'+i+'.message" class="message"></span></td>';
*/
			html += '</tr>';
		}
		Doc.element('detailsSection').innerHTML = html;

		for (var i=0; i < numItems; i++)
		{
			var item = items[i];

			// Disable check box for current qPCR branch value
			Doc.addClass('qPcrCur.'+i, 'disabled');

			// Highlight name of items with changed qPCR branch settings
			var qPcrCurValue = Doc.element('qPcrCur.'+i).checked;
			var qPcrNewValue = Doc.element('qPcrNew.'+i).checked;
			Doc.addOrRemoveClass('itemname.'+i, 'nondefault', qPcrCurValue != qPcrNewValue);

			// Add event handler for qPCR branch check box
			Events.addEventHandler('qPcrNew.'+i, 'change', selectdna.qPcrNewOnChange, { 'index': i });
		}
		Doc.removeClass('goregister', 'disabled');
	}
	
	selectdna.maxDeltaCtOnChange = function(event)
	{
		var frm = document.forms['meludi'];
		var startItemList = null;
		var jsonStartItemListIds = [];
		var numSelected = 0;
		for (var i = 0; i < frm.startList.length; i++)
		{
			if (frm.startList[i].selected)
			{
				var jsonStartList = {};
				jsonStartList.id = frm.startList[i].value;
				jsonStartItemListIds[numSelected] = jsonStartList;
				numSelected++;
			}
		}
		Doc.addClass('goregister', 'disabled');

		var url = '../Extraction.servlet?ID='+App.getSessionId();
		url += '&cmd=GetListOfItemsFromStartItemLists';
		url += '&startListIds='+JSON.stringify(jsonStartItemListIds);
		url += '&itemType=DNA';
		url += '&itemNotOnLibPlate=true';
		url += '&ignoreQpcrBranch=false';
		Wizard.asyncJsonRequest(url, selectdna.dnaItemListLoaded);
	}
	
	selectdna.qPcrNewOnChange = function(event)
	{
		var frm = document.forms['meludi'];
		var target = event.currentTarget;

		var index = Data.int(target, 'index');
		// Highlight name of items with changed qPCR branch settings
		var qPcrCurValue = Doc.element('qPcrCur.'+index).checked;
		var qPcrNewValue = Doc.element('qPcrNew.'+index).checked;
		Doc.addOrRemoveClass('itemname.'+index, 'nondefault', qPcrCurValue != qPcrNewValue);
	}

	selectdna.submit = function()
	{
		var frm = document.forms['meludi'];
		var submitInfo = {};

		// Add new qPCR branch values to dnaItems
		for (var i = 0; i < dnaItems.length; i++)
		{
			var dnaItem = dnaItems[i];
			var qPcrNewValue = Doc.element('qPcrNew.'+i).checked;
			dnaItem.qpcrBranch = qPcrNewValue;
			dnaItems[i] = dnaItem;
		}
		submitInfo.items = dnaItems;

		var url = '../Dna.servlet?ID='+App.getSessionId();
		url += '&cmd=UpdateDnaQpcrBranchFlag';
		Wizard.showLoadingAnimation('Performing registration...');
		Wizard.asyncJsonRequest(url, selectdna.submissionResults, 'POST', JSON.stringify(submitInfo));
	}
	
	selectdna.submissionResults = function(response)
	{
		Wizard.showFinalMessage(response.messages);
		Doc.show('gorestart');
	}

	// Format value as a date in format yyyy-mm-dd
	selectdna.asDate = function(value)
	{
		if (!value) return '';
		if (value.length == 8)
		{
			value = value.substr(0, 4) + '-' + value.substr(4, 2) + '-' + value.substr(6, 2);
		}
		return value;
	}

	return selectdna;
}();

Doc.onLoad(SelectDna.initPage);
